# Uses of Class
org.springframework.core.codec.CharSequenceEncoder

Packages that use CharSequenceEncoder
Package
Description
org.springframework.core.codec
`Encoder` and `Decoder` abstractions to convert between a reactive stream of bytes and Java objects.

## Uses of CharSequenceEncoder in org.springframework.core.codec

Methods in org.springframework.core.codec that return CharSequenceEncoder
Modifier and Type
Method
Description
`static CharSequenceEncoder`
CharSequenceEncoder.`allMimeTypes()`
Create a `CharSequenceEncoder` that supports all MIME types.
`static CharSequenceEncoder`
CharSequenceEncoder.`textPlainOnly()`
Create a `CharSequenceEncoder` that supports only "text/plain".